org.bouncycastle.asn1

## Class BERConstructedOctetString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.ASN1OctetString
        - - org.bouncycastle.asn1.DEROctetString
          - - org.bouncycastle.asn1.BERConstructedOctetString

All Implemented Interfaces:
  ASN1OctetStringParser, DEREncodable, DERTags

    public class BERConstructedOctetString
    extends DEROctetString

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`BERConstructedOctetString(byte[] string)`
`BERConstructedOctetString(DEREncodable obj)`
`BERConstructedOctetString(DERObject obj)`
`BERConstructedOctetString(java.util.Vector octs)`

### Method Summary

Methods
`void` `encode(DEROutputStream out)`
`java.util.Enumeration` `getObjects()` return the DER octets that make up this string.
`byte[]` `getOctets()`

### Methods inherited from class org.bouncycastle.asn1.ASN1OctetString

`getInstance, getInstance, getOctetStream, hashCode, parser, toString`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bouncycastle.asn1.DEREncodable

`getDERObject`

### Constructor Detail

#### BERConstructedOctetString

    public BERConstructedOctetString(byte[] string)

Parameters:
  `string` - the octets making up the octet string.

#### BERConstructedOctetString

    public BERConstructedOctetString(java.util.Vector octs)

#### BERConstructedOctetString

    public BERConstructedOctetString(DERObject obj)

#### BERConstructedOctetString

    public BERConstructedOctetString(DEREncodable obj)

### Method Detail

#### getOctets

    public byte[] getOctets()

Overrides:
  `getOctets` in class `ASN1OctetString`

#### getObjects

    public java.util.Enumeration getObjects()

return the DER octets that make up this string.

#### encode

    public void encode(DEROutputStream out)
                throws java.io.IOException

Throws:
  `java.io.IOException`